<template>
	<div class="q-pa-md q-gutter-sm">
		<q-dialog v-model="taskDel">
			<q-card>
				<q-card-section>
					<div class="text-h6">Deletion</div>
				</q-card-section>

				<q-card-section class="q-pt-none">
					Are you sure you want to delete task for : {{ todoName }}?
				</q-card-section>

				<q-card-actions align="right">
					<div class="q-pa-md q-gutter-sm">
						<q-btn color="positive" label="No" v-close-popup />
						<q-btn
							v-close-popup
							color="negative"
							label="Yes"
							@click="deleteUser"
						/>
					</div>
				</q-card-actions>
			</q-card>
		</q-dialog>
	</div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
	computed: {
		...mapGetters({
			delForm: "showcase/taskDel",
			todoId: "showcase/todoId",
			todoName: "showcase/todoName",
		}),
		taskDel: {
			get() {
				return this.delForm;
			},
			set(value) {
				this.$store.commit("showcase/hideDelDialog", value);
			},
		},
	},
	methods: {
		deleteUser() {
			this.$axios.delete(this.host + "/src/php/actions/todo.php", {
				data: {
					todoId: this.todoId,
				},
			});
			this.$emit("reload");
		},
	},
};
</script>
